Bug 566052 (CVE-2010-0162) - CVE-2010-0162 Mozilla bypass of same-origin policy due to improper SVG document processing (MFSA 2010-05)
Summary: CVE-2010-0162 Mozilla bypass of same-origin policy due to improper SVG docume...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 566693
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-17 00:51 UTC by Vincent Danen
Modified: 2019-09-29 12:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:54:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0112 normal SHIPPED_LIVE Critical: firefox security update 2010-02-17 21:14:37 UTC

Description Vincent Danen 2010-02-17 00:51:23 UTC
Mozilla security researcher Georgi Guninski reported that when a SVG document
which is served with Content-Type: application/octet-stream is embedded into
another document via an <embed> tag with type="image/svg+xml", the Content-Type
is ignored and the SVG document is processed normally. A website which allows
arbitrary binary data to be uploaded but which relies on Content-Type:
application/octet-stream to prevent script execution could have such protection
bypassed. An attacker could upload a SVG document containing JavaScript as a
binary file to a website, embed the SVG document into a malicous page on
another site, and gain access to the script environment from the SVG-serving
site, bypassing the same-origin policy.

Comment 2 errata-xmlrpc 2010-02-17 21:15:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0112 https://rhn.redhat.com/errata/RHSA-2010-0112.html

Comment 3 Fedora Update System 2010-02-18 10:08:06 UTC
firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 4 Fedora Update System 2010-02-18 15:18:31 UTC
gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 5 Fedora Update System 2010-02-18 15:27:51 UTC
gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 6 Fedora Update System 2010-02-18 15:28:00 UTC
gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 7 Fedora Update System 2010-02-18 15:30:27 UTC
galeon-2.0.7-20.fc12,gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/galeon-2.0.7-20.fc12,gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 8 Fedora Update System 2010-02-18 16:40:56 UTC
chmsee-1.0.1-15.fc11,epiphany-2.26.3-8.fc11,blam-1.8.5-18.fc11,pcmanx-gtk2-0.3.9-2.20100210svn.fc11,galeon-2.0.7-20.fc11,hulahop-0.4.9-12.fc11,eclipse-3.4.2-20.fc11,evolution-rss-0.1.4-10.fc11,gnome-web-photo-0.7-10.fc11,gnome-python2-extras-2.25.3-11.fc11,monodevelop-2.0-9.fc11,Miro-2.5.4-2.fc11,kazehakase-0.5.8-5.fc11,mozvoikko-0.9.7-0.11.rc1.fc11,google-gadgets-0.11.1-5.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.9,ruby-gnome2-0.19.3-6.fc11,yelp-2.26.0-11.fc11,epiphany-extensions-2.26.1-10.fc11,firefox-3.5.8-1.fc11,xulrunner-1.9.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/chmsee-1.0.1-15.fc11,epiphany-2.26.3-8.fc11,blam-1.8.5-18.fc11,pcmanx-gtk2-0.3.9-2.20100210svn.fc11,galeon-2.0.7-20.fc11,hulahop-0.4.9-12.fc11,eclipse-3.4.2-20.fc11,evolution-rss-0.1.4-10.fc11,gnome-web-photo-0.7-10.fc11,gnome-python2-extras-2.25.3-11.fc11,monodevelop-2.0-9.fc11,Miro-2.5.4-2.fc11,kazehakase-0.5.8-5.fc11,mozvoikko-0.9.7-0.11.rc1.fc11,google-gadgets-0.11.1-5.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.9,ruby-gnome2-0.19.3-6.fc11,yelp-2.26.0-11.fc11,epiphany-extensions-2.26.1-10.fc11,firefox-3.5.8-1.fc11,xulrunner-1.9.1.8-1.fc11

Comment 10 Fedora Update System 2010-02-20 00:13:15 UTC
seamonkey-2.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-02-20 00:14:20 UTC
firefox-3.5.8-1.fc11, xulrunner-1.9.1.8-1.fc11, chmsee-1.0.1-15.fc11, epiphany-2.26.3-8.fc11, blam-1.8.5-18.fc11, pcmanx-gtk2-0.3.9-2.20100210svn.fc11, galeon-2.0.7-20.fc11, hulahop-0.4.9-12.fc11, eclipse-3.4.2-20.fc11, evolution-rss-0.1.4-10.fc11, gnome-web-photo-0.7-10.fc11, gnome-python2-extras-2.25.3-11.fc11, monodevelop-2.0-9.fc11, Miro-2.5.4-2.fc11, kazehakase-0.5.8-5.fc11, mozvoikko-0.9.7-0.11.rc1.fc11, google-gadgets-0.11.1-5.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.9, ruby-gnome2-0.19.3-6.fc11, yelp-2.26.0-11.fc11, epiphany-extensions-2.26.1-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-02-20 00:28:37 UTC
firefox-3.5.8-1.fc12, xulrunner-1.9.1.8-1.fc12, gnome-python2-extras-2.25.3-16.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.11, blam-1.8.5-22.fc12, gnome-web-photo-0.9-5.fc12, mozvoikko-1.0-8.fc12, galeon-2.0.7-20.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.